summaryrefslogtreecommitdiffstats
path: root/development/Xdialog/Xdialog.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/Xdialog/Xdialog.SlackBuild')
-rw-r--r--development/Xdialog/Xdialog.SlackBuild84
1 files changed, 84 insertions, 0 deletions
diff --git a/development/Xdialog/Xdialog.SlackBuild b/development/Xdialog/Xdialog.SlackBuild
new file mode 100644
index 0000000000..4547a1c1bb
--- /dev/null
+++ b/development/Xdialog/Xdialog.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for Xdialog
+# Written by slakmagik <jsun@freeshell.org>
+# Released under the WTFPL
+
+PRGNAM=Xdialog
+VERSION=2.3.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+NLS=${NLS:-disable}
+# I do this so the script has a consistent interface, using 'enable' for both
+# - and because passing '--without-gtk2' makes it compile for gtk2 as much as
+# '--with; does(!) so you have to pass it nothing if you want gtk1.
+if [ "$GTK2" = "enable" ]; then
+ GTK2=--with-gtk2
+ else
+ unset GTK2
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+# NEWS is a symlink to ChangeLog and the latter gets the wrong perms unless I
+# exclude links from the tests
+find . ! -type l \
+ \( \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 \
+ -o -perm 400 \) \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --datadir=/usr/ \
+ --mandir=/usr/man \
+ --$NLS-nls \
+ --build=$ARCH-slackware-linux \
+ $GTK2
+
+make
+make DESTDIR=$PKG install
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : |
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : |
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l); do ln -s $(readlink $i).gz $i.gz; rm $i; done
+)
+
+cp -a [ABCINR]* $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz